Bug 1313147 - post script fail and error in posttrans script
post script fail and error in posttrans script
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 00:31 EST by Yu Watanabe
Modified: 2017-12-12 06:01 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:01:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
install log of fedora-release package (7.36 KB, text/plain)
2016-03-03 04:30 EST, Yu Watanabe
no flags Details
install log of fedora-release with coreutils package (15.28 KB, text/plain)
2016-03-03 04:30 EST, Yu Watanabe
no flags Details

  None (edit)
Description Yu Watanabe 2016-03-01 00:31:24 EST
Description of problem:

The post script failed.
%%%%%%%%%%%%%%%%%%%%%%%%
  Installing  : fedora-release-25-0.2.noarch                             26/584 
warning: %post(fedora-release-25-0.2.noarch) scriptlet failed, exit status 127
%%%%%%%%%%%%%%%%%%%%%%%%

When install system without grub2, the posttrans script outputs the following error message:
%%%%%%%%%%%%%%%%%%%%%%%%
/usr/sbin/convert-to-edition: line 163: grub2-mkconfig: command not found
This system has been converted to non-edition
%%%%%%%%%%%%%%%%%%%%%%%%

Version-Release number of selected component (if applicable):

fedora-release-25-0.2.noarch

How reproducible:

Always.

Steps to Reproduce:
1. dnf --installroot=/rawhide-sysroot --disablerepo=* --enablerepo=rawhide install 'packages without grub2'
2.
3.

Actual results:

dnf outputs the above messages.

Expected results:

dnf finishes without the above messages.

Additional info:

http://pkgs.fedoraproject.org/cgit/rpms/fedora-release.git/tree/fedora-release.spec?id=15b3d865edc7dcd9e392c9e6e90fef5f54c21dd0#n194
######################
if [ $1 = 0 ]; then
    ln -sf ./os.release.d/os-release-fedora $RPM_BUILD_ROOT/usr/lib/os-release || :
    ln -sf ./os.release.d/issue-fedora $RPM_BUILD_ROOT/usr/lib/issue || :
fi
######################
I guess above code does not need '$RPM_BUILD_ROOT'.
######################
if [ $1 = 0 ]; then
    ln -sf ./os.release.d/os-release-fedora /usr/lib/os-release || :
    ln -sf ./os.release.d/issue-fedora /usr/lib/issue || :
fi
######################

The convert-to-edition error message is caused by the non-existance of grub2-mkconfig command. This seems fixed in the upstream.
https://pagure.io/fedora-release/blob/master/f/convert-to-edition#_162
Comment 1 Peter Robinson 2016-03-01 03:39:30 EST
Please actually check to see if the problem has been reported before reporting duplicates.

*** This bug has been marked as a duplicate of bug 1312197 ***
Comment 2 Yu Watanabe 2016-03-03 04:26:05 EST
Sorry for my wrong explanation. This bug seems not to be equivalent to bug 1312197.

To clarify the situation, I've tested the following command.

# dnf --disablerepo=* --enablerepo=rawhide \
      --installroot=/nfsroot/hoge install fedora-release

The above command outputs the following error messages. (Its full output is attached).
%%%%%%%%%%%%%%%%%%%%
(...)
  Installing  : fedora-release-25-0.2.noarch                               8/19 
warning: %post(fedora-release-25-0.2.noarch) scriptlet failed, exit status 127
Non-fatal POSTIN scriptlet failure in rpm package fedora-release
Non-fatal POSTIN scriptlet failure in rpm package fedora-release
(...)
  Installing  : libselinux-2.5-2.fc25.x86_64                              19/19 
/usr/sbin/convert-to-edition: line 79: ln: command not found
/usr/sbin/convert-to-edition: line 82: ln: command not found
/usr/sbin/convert-to-edition: line 85: rm: command not found
/usr/sbin/convert-to-edition: line 163: grub2-mkconfig: command not found
This system has been converted to non-edition
  Verifying   : fedora-release-25-0.2.noarch                               1/19 
(...)
%%%%%%%%%%%%%%%%%%%%
The above error messages except grub2-mkconfig are caused by that coreutils package is not installed.

I guess that fedore-release package should require coreutils package.

If installing fedora-release with coreutils, then dnf outputs only grub related error message (see another attachement).
Comment 3 Yu Watanabe 2016-03-03 04:28:17 EST
(In reply to Yu Watanabe from comment #2)
> If installing fedora-release with coreutils, then dnf outputs only grub
> related error message (see another attachement).

Sorry, this is wrong. Still post script failed, because coreutils package is installed after fedora-release package.
Comment 4 Yu Watanabe 2016-03-03 04:30 EST
Created attachment 1132699 [details]
install log of fedora-release package
Comment 5 Yu Watanabe 2016-03-03 04:30 EST
Created attachment 1132700 [details]
install log of fedora-release with coreutils package
Comment 6 Jan Kurik 2016-07-26 00:12:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 7 Fedora End Of Life 2017-11-16 14:02:53 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2017-12-12 06:01:54 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.